## apache-arrow-adbc-0.1.0.tar.gz

=== glib/meson_options.txt ===
# -*- indent-tabs-mode: nil -*-
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

option('adbc_build_dir',
       type: 'string',
       value: '',
       description: 'Use this option to build with not installed ADBC')

=== c/driver_manager/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 3.18)
get_filename_component(REPOSITORY_ROOT "../.." ABSOLUTE)
message(STATUS "${REPOSITORY_ROOT}")
list(APPEND CMAKE_MODULE_PATH "${REPOSITORY_ROOT}/c/cmake_modules/")
include(AdbcDefines)
include(BuildUtils)

project(adbc_driver_manager
        VERSION "${ADBC_BASE_VERSION}"
        LANGUAGES CXX)
include(CTest)

add_arrow_lib(adbc_driver_manager
              SOURCES
              adbc_driver_manager.cc
              OUTPUTS
              ADBC_LIBRARIES
              CMAKE_PACKAGE_NAME
              AdbcDriverManager
              PKG_CONFIG_NAME
              adbc-driver-manager
              SHARED_LINK_LIBS
              ${CMAKE_DL_LIBS}
              STATIC_LINK_LIBS
              ${CMAKE_DL_LIBS}
              SHARED_LINK_FLAGS
              ${ADBC_LINK_FLAGS})
include_directories(SYSTEM ${REPOSITORY_ROOT})
include_directories(SYSTEM ${REPOSITORY_ROOT}/c/)
foreach(LIB_TARGET ${ADBC_LIBRARIES})
  target_compile_definitions(${LIB_TARGET} PRIVATE ADBC_EXPORTING)
endforeach()

install(FILES "${REPOSITORY_ROOT}/adbc.h" adbc_driver_manager.h DESTINATION include)

if(ADBC_BUILD_TESTS)
  if(ADBC_TEST_LINKAGE STREQUAL "shared")
    set(TEST_LINK_LIBS adbc_driver_manager_shared)
  else()
    set(TEST_LINK_LIBS adbc_driver_manager_static)
  endif()

  add_test_case(driver_manager_test
                PREFIX
                adbc
                SOURCES
                adbc_driver_manager_test.cc
                ../validation/adbc_validation.cc
                ../validation/adbc_validation_util.cc
                EXTRA_LINK_LIBS
                nanoarrow
                ${TEST_LINK_LIBS})
  target_compile_features(adbc-driver-manager-test PRIVATE cxx_std_17)
  target_include_directories(adbc-driver-manager-test SYSTEM
                             PRIVATE ${REPOSITORY_ROOT}/c/vendor/nanoarrow/)
endif()

validate_config()
config_summary_message()

=== ci/linux-packages/debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

Source: apache-arrow-adbc
Section: devel
Priority: optional
Maintainer: Apache Arrow Developers <dev@arrow.apache.org>
Build-Depends:
  cmake,
  debhelper-compat (= 12),
  gobject-introspection,
  libgirepository1.0-dev,
  libpq-dev,
  libsqlite3-dev,
  tzdata,
  valac
Standards-Version: 4.5.0
Homepage: https://arrow.apache.org/adbc/

Package: libadbc-driver-manager100
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides C++ library files.

Package: libadbc-driver-manager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-manager100 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides C++ header files.

Package: libadbc-driver-postgresql100
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides an ADBC driver for PostgreSQL

Package: libadbc-driver-postgresql-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-postgresql100 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-driver-sqlite100
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides an ADBC driver for PostgreSQL

Package: libadbc-driver-sqlite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-sqlite100 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) SQLite driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-glib1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libadbc-driver-manager100 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GLib based library files.

Package: gir1.2-adbc-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GObject Introspection typelib files.

Package: libadbc-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  gir1.2-adbc-1.0 (= ${binary:Version}),
  libadbc-driver-manager-dev (= ${binary:Version}),
  libarrow-glib-dev
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GLib based header files.

Package: libadbc-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends:
  libglib2.0-doc,
  libarrow-glib-doc
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides documentations.

=== ci/linux-packages/debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless

%:
	dh $@ --with gir

CMAKE_BUILD_TYPE = RelWithDebInfo

override_dh_auto_configure:
	dh_auto_configure				\
	  --sourcedirectory=c/driver_manager		\
	  --builddirectory=c/driver_manager.build	\
	  --buildsystem=cmake+ninja			\
	  --						\
	  -DCMAKE_BUILD_TYPE=$(CMAKE_BUILD_TYPE)
	dh_auto_configure				\
	  --sourcedirectory=c/driver/postgresql		\
	  --builddirectory=c/driver/postgresql.build	\
	  --buildsystem=cmake+ninja			\
	  --						\
	  -DCMAKE_BUILD_TYPE=$(CMAKE_BUILD_TYPE)
	dh_auto_configure				\
	  --sourcedirectory=c/driver/sqlite		\
	  --builddirectory=c/driver/sqlite.build	\
	  --buildsystem=cmake+ninja			\
	  --						\
	  -DCMAKE_BUILD_TYPE=$(CMAKE_BUILD_TYPE)

override_dh_auto_build:
	dh_auto_build					\
	  --sourcedirectory=c/driver_manager		\
	  --builddirectory=c/driver_manager.build
	dh_auto_build					\
	  --sourcedirectory=c/driver/postgresql		\
	  --builddirectory=c/driver/postgresql.build
	dh_auto_build					\
	  --sourcedirectory=c/driver/sqlite		\
	  --builddirectory=c/driver/sqlite.build
	dh_auto_configure				\
	  --sourcedirectory=glib			\
	  --builddirectory=glib.build			\
	  --buildsystem=meson+ninja			\
	  --						\
	  --buildtype=debugoptimized			\
	  -Dadbc_build_dir=../c/driver_manager.build
	env							\
	  LD_LIBRARY_PATH=$(CURDIR)/c/driver_manager.build	\
	    dh_auto_build					\
	      --sourcedirectory=glib				\
	      --builddirectory=glib.build			\
	      --buildsystem=meson+ninja

override_dh_auto_install:
	dh_auto_install					\
	  --sourcedirectory=c/driver_manager		\
	  --builddirectory=c/driver_manager.build
	dh_auto_install					\
	  --sourcedirectory=c/driver/postgresql		\
	  --builddirectory=c/driver/postgresql.build
	dh_auto_install					\
	  --sourcedirectory=c/driver/sqlite		\
	  --builddirectory=c/driver/sqlite.build
	dh_auto_install				\
	   --sourcedirectory=glib		\
	   --builddirectory=glib.build		\
	   --buildsystem=meson+ninja

override_dh_auto_test:
